Bug 239423

Summary: devel/abseil: fix build on powerpc*
Product: Ports & Packages Reporter: Piotr Kubaj <pkubaj>
Component: Individual Port(s)Assignee: Alexey Dokuchaev <danfe>
Status: Closed FIXED    
Severity: Affects Only Me CC: danfe
Priority: --- Flags: danfe: maintainer-feedback+
danfe: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch pkubaj: maintainer-approval? (danfe)

Description Piotr Kubaj freebsd_committer 2019-07-24 13:49:29 UTC
Created attachment 206037 [details]
patch

Implement logic for querying TBR and TBR frequency.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-08-02 14:21:31 UTC
This builds for me on both amd64 and powerpc64.
Comment 2 Alexey Dokuchaev freebsd_committer 2019-08-12 07:22:18 UTC
It builds and packages fine for me with this patch applied on Mac mini G4 as well, please go ahead.  It would be nice if you could also help to upstream this patch, thanks!
Comment 3 commit-hook freebsd_committer 2019-08-28 17:16:12 UTC
A commit references this bug:

Author: pkubaj
Date: Wed Aug 28 17:15:46 UTC 2019
New revision: 510083
URL: https://svnweb.freebsd.org/changeset/ports/510083

Log:
  devel/abseil: fix build on powerpc*

  Implement logic for querying TBR and TBR frequency to fix build.

  PR:		239423
  Approved by:	danfe (maintainer), tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21430

Changes:
  head/devel/abseil/Makefile
  head/devel/abseil/files/
  head/devel/abseil/files/patch-absl_base_internal_unscaledcycleclock.cc